'在节内得到所有键的列表
'由 $CRLF 分隔
Function FF_INI_GetSectionKeyList( IniFile as String, lSection as String) as String
   '在节内得到所有键的列表
   '由 $CRLF 分隔的名称
   Dim FileID as Long
   Dim InputData as String
   Dim tmpList as String
   Dim InsideSection as Long
   Dim Count as Long
   
   If Dir(IniFile) = "" Then Exit Function
   
   InsideSection = False
   On Error Goto ErrHandler
   
   
   FileID = Freefile
   Open IniFile For Input as #FileID
   
   Do While Not EOF(FileID)
      Line Input #FileID, InputData
      If Trim(InputData) <> "" Then
         
         If InsideSection Then
            If (Left(InputData, 1) = "[") And (Right(InputData, 1) = "]") Then
               Exit Do
            Else
               If InStr(1, InputData, "=") Then
                  Count += 1
                  InputData = FF_RemoveAny(Trim(InputData), "[]")
                  If Count = 1 Then
                     tmpList = InputData
                  Else
                     tmpList = tmpList & Chr(13, 10) & InputData
                  End If
               End If
            End If
            
         Else
            If UCase(InputData) = "[" & UCase(lSection) & "]" Then
               InsideSection = True
            End If
         End If
      End If
   Loop
ErrHandler : 
   Close #FileID
   Function = tmpList
   
End Function